#pragma once

#include <cstdint>
#include <vector>

namespace netplus {
    bool scalarmult_curve25519(std::vector<uint8_t>& out,
                            const std::vector<uint8_t>& scalar,
                            const std::vector<uint8_t>& point_u);

    bool scalarmult_curve25519_base(std::vector<uint8_t>& out,
                                    const std::vector<uint8_t>& scalar);
}
